<div fxLayoutAlign="center center" *ngIf="(nodeList | isEmpty)" class="height100">{{ 'COMMON.NO_DATA_FOUND' | translate}}</div>

<div *ngFor="let elem of nodeTree; let row = index;" fxLayout="row" fxLayoutAlign="center center">
    <div *ngFor="let node of nodeTree[row]; let column = index;" [id] = "node.id" fxLayoutAlign="center center" class="node {{selectedNode && node.id === selectedNode.id ? 'selected' : '' }}" matTooltip="{{('COMMON.NAME' | translate) + ' : ' + node.name + '\n' + ('COMMON.DESCRIPTION' | translate) + ' : ' + node.description  }}" (click) = "selectNode(node)">{{node.id}}</div>
</div>